GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Functions | Variables
gridfire::reaclib Namespace Reference

## Classes
struct | ReactionRecord

## Functions
const reaction::LogicalReactionSet & | get_all_reactions ()
| Provides global access to the fully initialized REACLIB reaction set.
std::ostream & | operator<< (std::ostream &os, const ReactionRecord &r)
static std::vector< fourdst::atomic::Species > | parseSpeciesString (const std::string_view str)
static void | initializeAllReaclibReactions ()

## Variables
static bool | s_initialized = false
static reaction::LogicalReactionSet * | s_all_reaclib_reactions_ptr = nullptr

## Function Documentation

## ◆ get_all_reactions()

const reaction::LogicalReactionSet & gridfire::reaclib::get_all_reactions | ( |  | ) |

Provides global access to the fully initialized REACLIB reaction set.

This function uses a singleton pattern to ensure the reaction data is loaded from the embedded binary only once, the very first time it is requested.

Returns
  A constant reference to the application-wide reaction set.

Definition at line 138 of file reaclib.cpp.

## ◆ initializeAllReaclibReactions()

static void gridfire::reaclib::initializeAllReaclibReactions | ( |  | ) |
| static

Definition at line 79 of file reaclib.cpp.

## ◆ operator<<()

std::ostream & gridfire::reaclib::operator<< | ( | std::ostream & | os,
|  | const ReactionRecord & | r )

Definition at line 44 of file reaclib.cpp.

## ◆ parseSpeciesString()

static std::vector< fourdst::atomic::Species > gridfire::reaclib::parseSpeciesString | ( | const std::string_view | str | ) |
| static

Definition at line 58 of file reaclib.cpp.

## Variable Documentation

## ◆ s_all_reaclib_reactions_ptr

reaction::LogicalReactionSet* gridfire::reaclib::s_all_reaclib_reactions_ptr = nullptr
| static

Definition at line 29 of file reaclib.cpp.

## ◆ s_initialized

bool gridfire::reaclib::s_initialized = false
| static

Definition at line 7 of file reaclib.h.